# -*- coding: utf-8 -*-
"""
Инициализация модуля TSpider:
Обработчики событий
Функции загрузки зон

(c)2012-2013 ЗАО "РИПАС" и Демин Федор,
www.ripas.ru dff@ripas.ru
"""
from RoadCentre import plugins,kernel
from PythonQt import QtGui
import gui

if hasattr(plugins,'TSpiderPlugin'):
    from menu import Menu
    import tspider
    Menu.devClassMenus['TSpider::Zone']=tspider.ZoneMenu()
    Menu.devClassMenus['TSpider::Area']=tspider.AreaMenu(kernel)
    import actions
    actions.openFileDialog.nameFilter[u"*.xtsc"]=(u"Зоны управления", tspider.loadZone)
    tb=gui.mainWindow.addToolBar(u'Групповое управление')
    tb.objectName='toolBarTspider'
    if hasattr(plugins.TSpiderPlugin,'edit') and plugins.TSpiderPlugin.edit:
        action=tb.addAction(u'Создать зону')
        action.icon=QtGui.QIcon(':tspider/zone_add.png')
        action.statusTip = action.toolTip = u'Создать зону'
        action.connect('triggered(bool)', tspider.createZone)
        plugins.TSpiderPlugin.connect('zoneEdited(QString)',tspider.reloadZone)
    gui.msgOk(u'Инициализации модуля TSpider выполнена')
